using	System;
using	System.Data;
using	MySql.Data.MySqlClient;
using	MySql.Data;



namespace	ConsoleApplication1
{
  ///	<summary>
  ///	Summary	description	for	Class1.
  ///	</summary>
  class	Class1
  {
    ///	<summary>
	private static readonly string createTable = "create table if not exists test (id int unsigned not null auto_increment unique, i int unsigned, something varchar(255));";
		
    private static readonly string insertTable = "Insert into test (i,something)"+
                                                 " VALUES (?i,?t);";
    ///	The	main entry point for the application.
		
    ///	</summary>
    [STAThread]
    static void	Main(string[]	args)
    {
      string connStr = "server=localhost;database=test;uid=root;pooling=false";
      MySqlConnection	conn = new MySqlConnection(	connStr	);


      try	
      {
        conn.Open();

      }
      catch	(MySqlException	ex)	
      {
        Console.WriteLine("Error connecting	to the server: " + ex.Message	);
      }

      MySqlCommand myCommand = conn.CreateCommand();
			
      // Create table for this day's log data if not existent
      myCommand.CommandText = createTable;
      myCommand.ExecuteNonQuery();

      // Set up insert command
       myCommand.CommandText = insertTable;
       myCommand.Prepare();   // causes inserts to change null value

       myCommand.Parameters.Clear();
	   myCommand.Parameters.Add (new MySqlParameter("?i", 1 ));
	   myCommand.Parameters.Add (new MySqlParameter("?t", "some value" ));
       myCommand.ExecuteNonQuery();

       
    }
  }
}
